com.microfocus.awm.core

## Class GetChildrenResult

- java.lang.Object
- - com.microfocus.awm.core.GetChildrenResult

-     public class GetChildrenResult
      extends java.lang.Object

  The result a get children processed by a AWM resource.

  Contains:

  - The element list contained the resource's children. The element list is empty if no action to fetching children was modelled
  - The action executed to get the children. The action is `null` if the children have been get from cache

  Author:
    PrudenceB

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetChildrenResult(IElementList pElementList, IAction pAction)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IAction` | `getAction()` Gets the executed action to get the children of the resource or `null` if the children have been get from cache.
    `IElementList` | `getElementList()` Gets the element list contained the resource's children.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetChildrenResult

          public GetChildrenResult(IElementList pElementList,
                                   IAction pAction)

      Constructor.
      Parameters:
        `pElementList` - the element list contained the children of the resource
        `pAction` - The action executed to get the children or `null` if the children have been get from cache

  - ### Method Detail

    - #### getElementList

          public IElementList getElementList()

      Gets the element list contained the resource's children.
      Returns:
        the element list

    - #### getAction

          public IAction getAction()

      Gets the executed action to get the children of the resource or `null` if the children have been get from cache.
      Returns:
        the executed action or `null` if the children have been get from cache

Copyright © 2015 Micro Focus GmbH. All rights reserved.